summaryrefslogtreecommitdiff
path: root/tests/du/long-sloop
diff options
context:
space:
mode:
Diffstat (limited to 'tests/du/long-sloop')
-rwxr-xr-xtests/du/long-sloop24
1 files changed, 5 insertions, 19 deletions
diff --git a/tests/du/long-sloop b/tests/du/long-sloop
index 4f538d067..f6adf7238 100755
--- a/tests/du/long-sloop
+++ b/tests/du/long-sloop
@@ -3,7 +3,7 @@
# Show that du fails with ELOOP (Too many levels of symbolic links)
# when it encounters that condition.
-# Copyright (C) 2006 Free Software Foundation, Inc.
+# Copyright (C) 2006-2007 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -24,15 +24,7 @@ if test "$VERBOSE" = yes; then
fi
. $srcdir/../lang-default
-
-pwd=`pwd`
-t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
-trap '(exit $?); exit $?' 1 2 13 15
-
-framework_failure=0
-mkdir -p $tmp || framework_failure=1
-cd $tmp || framework_failure=1
+. $srcdir/../test-lib.sh
# Create lots of directories, each containing a single symlink
# pointing at the next directory in the list.
@@ -43,25 +35,20 @@ cd $tmp || framework_failure=1
n=400
dir_list=`seq $n`
-mkdir $dir_list || framework_failure=1
+mkdir $dir_list || framework_failure
file=1
i_minus_1=0
for i in $dir_list `expr $n + 1`; do
case $i_minus_1 in
0) ;;
*)
- ln -s ../$i $i_minus_1/s || framework_failure=1
+ ln -s ../$i $i_minus_1/s || framework_failure
file=$file/s;;
esac
i_minus_1=$i
done
echo foo > $i
-if test $framework_failure = 1; then
- echo "$0: failure in testing framework" 1>&2
- (exit 1); exit 1
-fi
-
# If a system can handle this many symlinks in a file name,
# just skip this test.
@@ -91,7 +78,6 @@ sed "s, .1/s/s/s/[/s]*',," out1 > out || fail=1
echo "du: cannot access: $too_many" > exp || fail=1
-cmp out exp || fail=1
-test $fail = 1 && diff out exp 2> /dev/null
+compare out exp || fail=1
(exit $fail); exit $fail